import React from 'react'

import { MenuItem } from 'react-bootstrap'

export class WishlistButton extends React.Component {
  constructor(props) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }
  handleClick(e) {
    e.preventDefault();
    if (this.props.wishlisted) {
      this.props.deleteFromWishlist(this.props.resourceId);
    } else {
      this.props.addToWishlist(this.props.resourceId);
    }
  }
  render() {
    if (this.props.wishlisted) {
      return (
        <MenuItem onClick={this.handleClick}>
          <span>
            <i className="fa fa-bookmark"></i> Delete from wishlist
          </span>
        </MenuItem>
      );
    } else {
      return (
        <MenuItem onClick={this.handleClick}>
          <span>
            <i className="fa fa-bookmark-o"></i> Add to wishlist
          </span>
        </MenuItem>
      );
    }
  }
}

export class DeleteButton extends React.Component {
  constructor(props) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }
  handleClick(e) {
    e.preventDefault();
    this.props.deleteFunc(this.props.resourceId);
  }
  render() {
    return (
      <MenuItem onClick={this.handleClick}>
        <span>
          <i className="fa fa-trash"></i> Delete
        </span>
      </MenuItem>
    );
  }
}

export class RefreshButton extends React.Component {
  constructor(props) {
    super(props);
    this.handleClick = this.handleClick.bind(this);
  }
  handleClick(e) {
    e.preventDefault();
    if (this.props.fetching) {
      return
    }
    this.props.getDetails(this.props.resourceId);
  }
  render() {
    return (
      <MenuItem onClick={this.handleClick}>
        {this.props.fetching ||
          <span>
            <i className="fa fa-refresh"></i> Refresh
          </span>
        }
        {this.props.fetching &&
            <span>
              <i className="fa fa-spin fa-refresh"></i> Refreshing
            </span>
        }
      </MenuItem>
    );
  }
}
