import React from 'react'

export default function ListDetails(props) {
  let genres;
  if (props.data.genres) {
    genres = props.data.genres.join(', ');
  }
  return (
    <div className="col-xs-7 col-md-4">
      <div className="show-detail affix">
        <h1 className="hidden-xs">{props.data.title}</h1>
        <h3 className="visible-xs">{props.data.title}</h3>
        {props.data.runtime &&
          <p>
            <i className="fa fa-clock-o"></i>
            &nbsp;{props.data.runtime} min
          </p>
        }
        {props.data.genres &&
          <p>
            <i className="fa fa-tags"></i>
            &nbsp;{genres}
          </p>
        }
        <p>
          <i className="fa fa-star-o"></i>
          &nbsp;{props.data.rating} <small>({props.data.votes} counts)</small>
        </p>
        <p className="plot">{props.data.plot}</p>
      </div>
      {props.children}
    </div>
  );
}
