import React from 'react'

import { WishlistButton, DeleteButton, RefreshButton } from '../buttons/actions'
import { DropdownButton } from 'react-bootstrap'

export default function ActionsButton(props) {
  return (
    <DropdownButton className="btn btn-default btn-sm" title="Actions" id="actions-button" dropup>
      <RefreshButton
        fetching={props.fetching}
        resourceId={props.movieId}
        getDetails={props.getDetails}
      />
      {(props.isUserAdmin && props.hasMovie) &&
        <DeleteButton
          resourceId={props.movieId}
          deleteFunc={props.deleteMovie}
          isUserAdmin={props.isUserAdmin}
        />
      }
      <WishlistButton
        resourceId={props.movieId}
        wishlisted={props.wishlisted}
        addToWishlist={props.addToWishlist}
        deleteFromWishlist={props.deleteFromWishlist}
      />
    </DropdownButton>
  );
}
