import React from 'react'

import { Link } from 'react-router'
import { DropdownButton } from 'react-bootstrap'

import { WishlistButton } from '../buttons/actions'

export default function ShowButtons(props) {
  const imdbLink = `http://www.imdb.com/title/${props.show.imdb_id}`;
  return (
    <div className="list-details-buttons btn-toolbar">
      <ActionsButton
        show={props.show}
        addToWishlist={props.addToWishlist}
        deleteFromWishlist={props.deleteFromWishlist}
      />
      <a type="button" className="btn btn-warning btn-sm" href={imdbLink}>
        <i className="fa fa-external-link"></i> IMDB
      </a>
      <Link type="button" className="btn btn-primary btn-sm" to={"/shows/details/" + props.show.imdb_id}>
        <i className="fa fa-external-link"></i> Details
      </Link>
    </div>
  );
}

function ActionsButton(props) {
  let wishlisted = (props.show.tracked_season !== null && props.show.tracked_episode !== null);
  return (
    <DropdownButton className="btn btn-default btn-sm" title="Actions" id="actions-button" dropup>
      <WishlistButton
        resourceId={props.show.imdb_id}
        wishlisted={wishlisted}
        addToWishlist={props.addToWishlist}
        deleteFromWishlist={props.deleteFromWishlist}
      />
    </DropdownButton>
  );
}
