import { combineForms } from 'react-redux-form'
import { routerReducer } from 'react-router-redux'

import movieStore from './movies'
import showStore from './shows'
import userStore from './users'
import alerts from './alerts'

// Use combine form form react-redux-form, it's a thin wrapper arround the
// default combinedReducers provided with React. It allows the forms to be
// linked directly to the store.
const rootReducer = combineForms({
  routing: routerReducer,
  movieStore,
  showStore,
  userStore,
  alerts,
})

export default rootReducer;
